%filter_from_requires /^perl.ExtUtils.ModuleMaker.Personal.Defaults.pm./d
%define module_name ExtUtils-ModuleMaker
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Save/Home.pm) perl(Getopt/Std.pm) perl(IO/Capture.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.56
Release: alt1
Summary: Better than h2xs for creating modules
Group: Development/Perl
License: perl
URL: http://thenceforward.net/perl/modules/ExtUtils-ModuleMaker/

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JK/JKEENAN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a replacement for the most typical use of the h2xs 
utility bundled with all Perl distributions:  the creation of the 
directories and files required for a pure-Perl module to be installable with
make and distributable on the Comprehensive Perl Archive Network (CPAN).

h2xs has many options which are useful -- indeed, necessary -- for 
the creation of a properly structured distribution that includes C code 
as well as Perl code.  Most of the time, however, h2xs is used as follows

    %%   h2xs -AXn My::Module

to create a distribution containing only Perl code.  ExtUtils::ModuleMaker is 
intended to be an easy-to-use replacement for *this* use of h2xs.  

While you can call ExtUtils::ModuleMaker from within a Perl script (as in 
the SYNOPSIS above), it's easier to use with a command-prompt invocation 
of the modulemaker script bundled with this distribution:

    %%   modulemaker

Then respond to the prompts.  For Perl programmers, laziness is a 
virtue -- and modulemaker is far and away the laziest way to create a 
pure Perl distribution which meets all the requirements for worldwide 
distribution via CPAN.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/E*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.56-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.55-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.54-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.52-alt1
- regenerated from template by package builder

* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.51-alt2
fixed requires

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1
- initial import by package builder

